#pragma once
#include <mof/scene.hpp>
#include <mof/tstring.hpp>
#include <memory>
#include <vector>

class my_scene : public mof::scene
{
public:
	my_scene(const std::vector<mof::tstring>& args);
	virtual ~my_scene();
	virtual void update();
	virtual void draw() const;
private:
	struct impl;
	std::unique_ptr<impl> pimpl_;

};
